package de.uni_marburg.powersort.benchmark;

import de.uni_marburg.powersort.data.DataEnum;
import de.uni_marburg.powersort.sort.SortEnum;
import org.openjdk.jmh.annotations.Param;
import org.openjdk.jmh.annotations.Scope;
import org.openjdk.jmh.annotations.State;

/*
 * Benchmark state parameters
 *
 * Quote from JMH:
 * State objects naturally encapsulate the state on which benchmark is working on.
 */
@State(Scope.Benchmark)
public class JmhCompetition extends JmhBase {
    @Param()
    DataEnum dataEnum;
    @Param()
    SortEnum sortEnum;

    @Override
    DataEnum getDataEnum(){
        return dataEnum;
    }
    @Override
    SortEnum getSortEnum(){
        return sortEnum;
    }
}
